commit:     c5c3ecd8dd75b5617e913a8e2db79ef590ea4024
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  8 16:04:51 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov  8 16:04:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5c3ecd8

dev-python/python-jose: EAPI 8, PEP517, py3.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-jose/Manifest                    |  1 +
 dev-python/python-jose/python-jose-3.3.0-r1.ebuild | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/python-jose/Manifest b/dev-python/python-jose/Manifest
index f7b007195709..546189d1b8e1 100644
--- a/dev-python/python-jose/Manifest
+++ b/dev-python/python-jose/Manifest
@@ -1 +1,2 @@
+DIST python-jose-3.3.0.gh.tar.gz 126578 BLAKE2B 
d1279d2a0788b4d395e760ee3a1b2ce8c9340ad12ebe103cb1ba98aea33566cf0134d5af75be9727fff96adab4fc88f1b471ba9ea7d36c16de10587a9efd1304
 SHA512 
de7147cc6e12406d6e459c32829acae46395acba727c53e65bc05f4794ee3050eecd355e3ae2e87f4ebdbd871f53822eea08a10f25d7ca6088fc6128dc7d9637
 DIST python-jose-3.3.0.tar.gz 126578 BLAKE2B 
d1279d2a0788b4d395e760ee3a1b2ce8c9340ad12ebe103cb1ba98aea33566cf0134d5af75be9727fff96adab4fc88f1b471ba9ea7d36c16de10587a9efd1304
 SHA512 
de7147cc6e12406d6e459c32829acae46395acba727c53e65bc05f4794ee3050eecd355e3ae2e87f4ebdbd871f53822eea08a10f25d7ca6088fc6128dc7d9637

diff --git a/dev-python/python-jose/python-jose-3.3.0-r1.ebuild 
b/dev-python/python-jose/python-jose-3.3.0-r1.ebuild
new file mode 100644
index 000000000000..4c52f00160ac
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.3.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation 
in Python"
+HOMEPAGE="
+       https://github.com/mpdavis/python-jose/
+       https://pypi.org/project/python-jose/
+"
+# pypi tarball lacks unit tests
+SRC_URI="
+       https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+# TODO: require only one crypto backend?
+RDEPEND="
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/ecdsa[${PYTHON_USEDEP}]
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+       sed -e '/pytest-runner/d' \
+               -i setup.py || die
+       sed -e '/addopts/d' -i setup.cfg || die
+       distutils-r1_python_prepare_all
+}

Reply via email to